#!/bin/bash

## dependencies: curl

### This script checks if the 2 wifi interfaces are UP and ENABLED

HOST="$(cat /etc/config/system | grep "hostname")"
topicurl=https://172.26.0.15/net_alerts

RADIO_STATUS=$(wifi status | grep -c "\"up\": true")
DEVICE_STATUS=$(wifi status | grep -c "\"disabled\": false")

        if [ ${RADIO_STATUS} != 2  ] || [ ${DEVICE_STATUS} != 2  ] ; then
                curl -k --retry 3 \
                -d "wifi down in $HOST" \
                -H "Title: Wifi down in $HOST" \
                -H "Priority: high" \
                -H "Tags: warning,boar" \
                $topicurl
        fi

